Subject: Summary on HP vs SUN machines for MD

From: "Tahmid I. Mizan" <[email-masked]>
Date: Mon, 23 May 1994 15:09:40 -0400

SUMMMARY OF RESPONSES TO QUERY ON HP AND SUN WORKSTATIONS

Original question:
=================
> Hi Netters,
> I am considering buying one of the following workstations:
> 1) HP model 712/60  32MB main memory 60MHz PA-RISC7100LC processor
> 2) SUN SPARCSTATION 20 model 50 32MB main memory 50 MHz supersparc processor
> I will be using the workstations primarily for MD simulations.
> Does anyone have any ideas about how these machines compare in terms of
> speed and ability to load large programs (large memory requirements) ?
> 
> I would appreciate comments, experience, anecdotes etc.

******************************************************************************
From: [email-masked] (Jussi Eloranta)

I think that the main differences are:

1) HP is probably faster using single CPU (esp. on floating point).
2) Sun SS20 can be expandet to multiple CPUs. MD simulations parallelize
   so it can take advantage of multiple cpus (if you want to expand your sys).
3) Sun has more commercial stuff available than HP.
   (for example, we run SYBYL on our Sparc 10 which is not available for HP).
4) Sun is in progress of changing its operating system from BSD to SVR4 based.
   Solaris 2.3 is not very stabile without patches, but works ok with 
   approriate patches. Solaris 2.4 is supposedly ok. HP has been using its
   current op. sys. (HPUX) for long time, so it may be more stabile. BTW HPUX
   is not SVR4 - it's somewhere between SVR3 and BSD....

HP is faster on FP and sun probably on int. I think both systems come
with fast SCSI II disks, so there shouldn't be very big differences.

Also make sure that your local HP or Sun software support is OK. I mean that
they actually will be able to help you if something happens...

Regards,

Jussi
******************************************************************************
From: "'Arne Elofsson ([email-masked])'" <[email-masked]>

We did a lot of MD-testing (CHarmm) on different
maschines a few years ago and SUN never compared
efficiently in Speed/$. We had problems compiling
on HP and ended up bying IBM RS/6000:s (in 1991-92)
and Dec alphas lately.

arne
******************************************************************************
From: "Arne Elofsson ([email-masked])" <[email-masked]>
Subject: Re: clarification on hp compiler

This was in 1990/91 and the charmm just did not run.
But i know it works fine now. I have no experience with HP.
yours
arne

******************************************************************************
From: [email-masked]

Hi 
We also do MD simulations mainly in our group.  We are in the process of
obtain some new computers.  We already have one HP 700 series. There is
no doubt it did quite well in the last two years.  But for the new one
that we plan to buy we choose SUN SPARCSTATION.  The new SPARCs have
got two processors and if you have two jobs running you will 
really appreaciate the performance. But for memory most of the things
dont require more than 32MB, however if you can upgrade it to 64MD
(MB) you will be comfortable.  Before buying you can always do some
test runs on their machines I guess. That's what we did atleast. 

[email-masked]
******************************************************************************
From: Dan Severance <[email-masked]>

    I don't have any experience with the SparcStation 20, nor the HP 712.

  My general experience with the SUN line, though, is that the SpecMarks
  overestimate the actual performance of SUNs for Monte Carlo and
  Dynamics codes, especially using explicit solvent.  The HP 735/99 is
  the fastest machine I've tested for Dynamics, (2x and SGI R4400 Indy,
  the second fastest machine that I've tested), but I don't know the
  relative speed of the 712 to the 735.  I've tested IBM (disappointing), 
  SUN (slow), SGI, and HP machines, along with the DEC Alpha
  (disappointing).  

     The SGI machines I tested were less than half the price of an HP
  735, so the price/performance was similar for both, with SGI getting
  the edge due to a more robust OS with fewer nasty porting problems.
  The HP compilers tend to be flaky, with code running fine on one 
  version and dying on the next.

     That's my $0.02; I'd be interested in knowing if SUN has gotten 
  their act together on the newer machine, but from what I've read
  they are concentrating too much on business (raw speed not so 
  important) and not enough on science.

     Dan Severance
     [email-masked]

P.S.  In the past, the SUNs have had more difficulty with memory 
   management, again I don't know if they've addressed that at all.

******************************************************************************
From: Dan Severance <[email-masked]>
Subject: Re: clarification on hp compiler

     In the past they haven't had things like getarg (admittedly not
  a STANDARD fortran item, but every UNIX platform I have worked on
  has had it (AMBER(md) uses it, as does BOSS(MC)).   They do have
  an IGETARG function and now I think may have added the getarg.

******************************************************************************
From: Dan Severance <[email-masked]>

     I just talked to the people who have a number of HPs, and they have
   a 712 on demo loan.  They like it a lot, and tell me that it's about
   20% faster than an SGI R4000 machine, for about the same price.
     The HPs have a reasonably good X-windows graphics system (fast).
   I'd say go with the HP (assuming you don't need to run any GL
   graphics programs, HP has no plans to support OpenGL).
     Dan
  
******************************************************************************
From: "Ian Dillon" <[email-masked]>

Dr. Mizan

Have you also considered a Silicon Graphics workstation?  We have a 
very strong pressence in the computational chemistry arena and the
INDY/Indigo2 product line would serve you very well (both from a CPU
and graphics perspective).  If you are interested in either of these pro-
ducts, please reply with your mailing address and phone number.

Thanks,

-- 
Ian Dillon					Systems Engineer
Email: [email-masked]		Silicon Graphics, Inc.
Phone:  317-595-6363			FAX: 317-595-6360
******************************************************************************
From: [email-masked] (Andy Jacobson)

About the workstations, I can tell you that there is a long standing bug
in the malloc in HPUX  that will not allow the machine to access swap
space past the default swap partition. This was a real killer when we tried
running AVS on an HP715 demo we had, as the software (commercial) was
compiled without using one or another of the special lib mallocs available. 
I would suggest that if you have a demo machine, make sure all the binaries
you use are compiled to get past this problem, (create additional swap
partitions, and test with large array). The sun has no such problem, though
it is my feeling that it is the worse of the two machines you are considering.
The HP's have very good performance when it comes to number crunching. 
-A.J.

******************************************************************************

************************************************************************
***********************************************************************

Tahmid Mizan
University of Michigan